/*
 File: cweb_or_c_k.h
 Date and Time: Fri Jan 30 18:55:08 2015 
*/
#ifndef __cweb_or_c_k_h__
#define __cweb_or_c_k_h__ 1
#include "yacco2.h"
#include "yacco2_T_enumeration.h"
#include "yacco2_k_symbols.h"
#include "yacco2_err_symbols.h"
#include "yacco2_terminals.h"
#include "yacco2_characters.h"
extern yacco2::Thread_entry ITH_cweb_or_c_k;

extern yacco2::State S1_Ccweb_or_c_k;
namespace NS_cweb_or_c_k {
yacco2::THR _YACCO2_CALL_TYPE
TH_cweb_or_c_k(yacco2::Parser* Caller);// called thread
yacco2::THR_result _YACCO2_CALL_TYPE
PROC_TH_cweb_or_c_k(yacco2::Parser* Caller);// called thread's twin the procedure
using namespace NS_yacco2_T_enum;// enumerate
using namespace yacco2;
struct fsm_rules_reuse_table_type{
 fsm_rules_reuse_table_type();
 int no_rules_entries_;
 Per_rule_s_reuse_table* per_rule_s_table_[4];
};
class Ccweb_or_c_k: public yacco2::CAbs_fsm {
 public:
  enum rules_and_subrules{
   start_of_rule_list = NS_yacco2_T_enum::T_Enum::sum_total_T
   ,R_Rcweb_or_c_k_ = 569//start_of_rule_list + 0
    ,rhs1_Rcweb_or_c_k_ = 1
    ,rhs2_Rcweb_or_c_k_ = 2
    ,rhs3_Rcweb_or_c_k_ = 3
   ,R_Rslash_at_ = 570//start_of_rule_list + 2
    ,rhs1_Rslash_at_ = 4
   ,R_Rslash_asterisk_ = 571//start_of_rule_list + 4
    ,rhs1_Rslash_asterisk_ = 5
   ,R_R2slash_ = 572//start_of_rule_list + 6
    ,rhs1_R2slash_ = 6
  };
  //no of la sets = 2
  //no of states = 11
  Ccweb_or_c_k();
  ~Ccweb_or_c_k();
  void op();
  bool failed();
  void reduce_rhs_of_rule
      (yacco2::UINT Sub_rule_no,yacco2::Rule_s_reuse_entry** Recycled_rule);
  fsm_rules_reuse_table_type fsm_rules_reuse_table;
  static int rhs_to_rules_mapping_[7];
  
    public: 
    char ddd_[1024*32];
    int ddd_idx_;
    void copy_str_into_buffer(std::string* Str);
    void copy_kstr_into_buffer(const char* Str);
  
 };
struct Rcweb_or_c_k;
struct Rslash_at;
struct Rslash_asterisk;
struct R2slash;
struct Rcweb_or_c_k:public yacco2::CAbs_lr1_sym {
  Rcweb_or_c_k(yacco2::Parser* P);
  public:
  void sr1();
  void sr2();
  void sr3();
};

struct Rslash_at:public yacco2::CAbs_lr1_sym {
  Rslash_at(yacco2::Parser* P);
  public:
  void sr1();
};

struct Rslash_asterisk:public yacco2::CAbs_lr1_sym {
  Rslash_asterisk(yacco2::Parser* P);
  public:
  void sr1();
};

struct R2slash:public yacco2::CAbs_lr1_sym {
  R2slash(yacco2::Parser* P);
  public:
  void sr1();
};

} // end of namespace

#endif
